Skip to main content
GET
/
v1
/
voiceai
/
tools
/
{tool_id}
Get Tool
curl --request GET \
  --url https://api.threetone.in/v1/voiceai/tools/{tool_id} \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "created_at_unix_secs": 123,
  "tool_config": {
    "api_schema": {
      "method": "GET",
      "path_params_schema": {
        "agent_id": {
          "type": "string"
        }
      },
      "url": "https://example.com/agents/{agent_id}"
    },
    "description": "Loads agent details from your CRM.",
    "name": "fetch_agent",
    "response_timeout_secs": 20,
    "type": "webhook"
  },
  "access_info": {
    "is_creator": true,
    "creator_name": "<string>",
    "creator_email": "<string>",
    "role": "admin"
  },
  "usage_stats": {
    "total_calls": 0,
    "avg_latency_secs": 123
  }
}

Authorizations

x-api-key
string
header
required

API key for programmatic access

Path Parameters

tool_id
string
required

ID of the requested tool.

Response

Successful Response

Response model for a single tool

id
string
required

The tool ID

created_at_unix_secs
integer
required

Unix timestamp when the tool was created

tool_config
WebhookToolConfig · object
required

A webhook tool is a tool that calls an external webhook from our server.

Example:
{
"api_schema": {
"method": "GET",
"path_params_schema": { "agent_id": { "type": "string" } },
"url": "https://example.com/agents/{agent_id}"
},
"description": "Loads agent details from your CRM.",
"name": "fetch_agent",
"response_timeout_secs": 20,
"type": "webhook"
}
access_info
ResourceAccessInfo · object
required

Access information for this tool

usage_stats
ToolUsageStatsResponseModel · object
required

Usage statistics for this tool